<?php

namespace Drupal\crypto_exchange\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'CryptoExchangeBlock' block.
 *
 * @Block(
 *  id = "crypto_exchange_block",
 *  admin_label = @Translation("Crypto exchange block"),
 * )
 */
class CryptoExchangeBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $build['#theme'] = 'crypto_exchange_block';
    //$build['#attached'] = array('library' => array('crypto_exchange/totle'));
    $build['crypto_exchange_block']['#markup'] = '<script>
    const config = {
      sourceAssetAddress: null,
      sourceAmountDecimal: null,
      destinationAssetAddress: null,
      destinationAmountDecimal: null,
      apiKey: null,
      partnerContractAddress: null,
    };
    const nodeId = "totle-widget";
    !function(){const t=document.createElement("script");t.type="text/javascript";const e=()=>{TotleWidget.default.run(config,document.getElementById(nodeId))};t.readyState?t.onreadystatechange=function(){"loaded"!=t.readyState&&"complete"!=t.readyState||(t.onreadystatechange=null,e())}:t.onload=function(){e()},t.src="https://widget.totle.com/latest/dist.js",document.getElementsByTagName("head")[0].appendChild(t)}();
</script><div id="totle-widget"></div>';
  $build['crypto_exchange_block']['#allowed_tags'] = ['div','script'];
    
    return $build;
  }

}
